=== debian/changelog ===
suckless-tools (40-1) unstable; urgency=low

  * Suggest surf which can be used with tabbed.
    Closes: bug#703028.
  * Included the xssstate utility, thanks to Alessandro
    Ghedini.
    Closes: bug#707617.
  * Imported new version of tabbed (0.5).
  * New build-dependency for xssstate on libxss-dev (xscreensaver) is
    added.
  * Updated Provides and long description in debian/control to reflect
    inclussion of xssstate utility.
  * Updated debian/copyright file to include copyright statement for
    xssstate utility.    
  * Added Xft alternative for dmenu, thanks to Javier P.L.
    Closes: bug#696703.
  * New build-dependency on libxft-dev, libfreetype6-dev is added for
    allowing dmenu.xft alternative.    
  * Provided meta key alternative for tabbed, thanks to Vincent Lefevre.
    Closes: bug#703027.
  * Removed TERMINFO environment setting during building of tools, we are
    no longer shipping st as part of this package which needed this.
  * Use canonical URL anonscm.d.o for Vcs-Git field.
  * Use suckless-tools.manpages to install debian shipped manpages only
    for the binaries to which upstream does not provide a manpage.
  * Renamed the patches to follow micro guidelines in
    debian/patches/README.
  * Updated README.source file.
  * Add patch 2004, removes custom library and include search paths by
    upstream, fixes FTBFS on mipsel*.
    Closes: bug#722839. Thanks to YunQuian Su.
  * Upload to unstable.

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Sat, 27 Jul 2013 21:55:49 +0530

suckless-tools (39-1) experimental; urgency=low

  [ Michael Stummvoll ]
  * Added manpage for dmenu_run (Closes: #610478)
  * Updated manpages for slock, ssid, swarp and wmname (Closes: #636030)
  * Updated manpage for sselp (Closes: #378175)
  * Removed st from the package. Suggests stterm now. Since st is
    no longer part of this package it doesn't install st.256color.
    (Closes: #642307,#665884)
  * Fixed a typo in the wmname manpage
  * Added some docs

  [ Vasudev Kamath ]
  * debian/control:
    + Increased minimum debhelper required to 9
    + Bumped Standards-Version to 3.9.4. This did not require any change
      to package.
    + Added Michael Stummvoll as Uploader
    + Added dependency on dpkg-dev >= 1.16.1.1 to introduce hardening flags
      using dpkg-buildflags.
  * Set debian/compat to 9
  * Created new version 39
    + Imported new version of lsw (Closes: #650573)
    + Updated dmenu (Closes: #650574, #658386)
    + Added sprop and lsx (Closes: #627662)
    + Imported new version of slock. This resolves CVE-2012-1620
      (Closes: #667796, #692737)
    + Imported new version of tabbed    
  * debian/rules:
    + Added get-orig-source target to get upstream source tarball for included
      package
  * debian/patches:
    + Added patch to do setgid shadow instead of setuid root on slock Makefile
     (01_fix_setuid_slock.patch).
    + Added patch to introduce hardening flags and allow DEB_BUILD_OPTIONS=noopt
     (02_dpkg-buildflags.patch).
    + Added patch to make command execution visible in Makefiles
     (03_transparent-makefiles.patch).
    + Added patch to escape '-' symbol in manpage for tabbed and use temp files
      in secure way (04_tabbed-manpage-hyphen-fix.patch).
  * debian/README.source:
    + Updated this file with proper instruction on how to recreate the original
      source tarballs required for package building.
  * debian/create_orig_source shell script is added which will be invoked when
    get-orig-source target in debian/rules is invoked
  * debian/watch:
    + Empty watch file added with only version=3 string in it to avoid lintian
      warning
  * debian/README.slock.Debian:
    + This file is added giving instruction on how to use the slock command.
  * debian/copyright:
    + Fixed the Copyright fields for lsw, dmenu, tabbed.
    + Changed short license name from MIT to Expat.
  * Switched to source format 3.0 (quilt)

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Thu, 15 Nov 2012 12:28:34 +0530

suckless-tools (38-2) unstable; urgency=low

  * debian/control:
    + Added myself as maintainer. (Closes: #647090)
    + Vcs-* fields now points to repository on collab-maint
  * debian/copyright:
    + Added copyright-format 1.0 header fields (Closes: #685611)
    + Fixed the license of st, it was mentioned as MIT but in reality
      it was 3-Clause BSD license.
    + Removed commas between file names in Files: section for lsw,swarp
      and sselp

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Sun, 14 Oct 2012 16:04:43 +0530
 

suckless-tools (38-1) unstable; urgency=low

  * Fix "FTBFS: /home/buildd/.terminfo: permission denied (errno 2)"
    <Added TERMINFO arg> (Closes: #605816)
  * Updated st

 -- Kai Hendry <hendry@iki.fi>  Sun, 05 Dec 2010 13:54:15 +0000

suckless-tools (37-1) unstable; urgency=low

  * New maintainer
  * Include simple terminal

 -- Kai Hendry <hendry@iki.fi>  Thu, 02 Dec 2010 13:42:55 +0000

suckless-tools (36-2) experimental; urgency=low

  * Switching to source format 3.0 (quilt).

 -- Daniel Baumann <daniel@debian.org>  Mon, 29 Nov 2010 21:17:34 +0100

suckless-tools (36-1) experimental; urgency=low

  * Merging upstream version 36.
  * Rediffing strip.patch
  * Removing old transitional package.

 -- Daniel Baumann <daniel@debian.org>  Sun, 21 Nov 2010 22:38:44 +0100

suckless-tools (35-2) experimental; urgency=low

  * Updating standards version to 3.9.0.
  * Correcting typo in package description, thanks to David Stansby
    <dstansby@gmail.com> (Closes: #601346).
  * Updating to standards version 3.9.1.
  * Updating to debhelper version 8.
  * Switching to source format 3.0 (quilt).

 -- Daniel Baumann <daniel@debian.org>  Sat, 20 Nov 2010 17:37:38 +0100

suckless-tools (35-1) unstable; urgency=low

  * Merging upstream version 35.
  * Updating year in copyright file.

 -- Daniel Baumann <daniel@debian.org>  Sat, 05 Jun 2010 10:01:46 +0200

suckless-tools (34-1) unstable; urgency=low


