=== debian/control ===
Source: suckless-tools
Section: x11
Priority: optional
Maintainer: Vasudev Kamath <kamathvasudev@gmail.com>
Uploaders: Michael Stummvoll <michael@stummi.org>
Build-Depends: debhelper (>= 9),
 libx11-dev,
 libxinerama-dev,
 ncurses-bin (>= 5.7+20081213),
 dpkg-dev (>= 1.16.1.1),
 libxss-dev,
 libxft-dev,
 libfreetype6-dev
Standards-Version: 3.9.4
Homepage: http://www.suckless.org
Vcs-Git: git://anonscm.debian.org/collab-maint/suckless-tools.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/suckless-tools.git;a=summary

Package: suckless-tools
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: dwm, stterm, surf
Provides: dmenu, lsw, lsx, slock, sprop, sselp, ssid, swarp, tabbed, wmname, xssstate
Description: simple commands for minimalistic window managers
 This package provides simple commands designed to be used with a minimalistic
 window manager like dwm but they can be useful in scripts regardless of the
 window manager used.
 .
  * dmenu: Dynamic menu is a generic menu for X.
  * lsw: Lists the titles of all running X windows to stdout, similar to ls(1).
  * lsx: Lists executables in a directory.
  * slock: Simple X display locker that locks the X session.
  * sprop: Sets or gets X window properties.
  * sselp: Simple X selection printer that prints the X selection to stdout.
  * ssid: Simple setsid replacement.
  * swarp: Simple X warping tool to warp the mouse pointer to a given position.
  * tabbed: Simple generic tabbed fronted to xembed aware applications.
  * wmname: Prints/sets the window manager name property of the root
    window imilar to how hostname(1) behaves.
  * xssstate: Retrieves the state of X screensaver.
