=== debian/control ===
--- 
+++ 
@@ -1,24 +1,25 @@
 Source: suckless-tools
 Section: x11
 Priority: optional
-Maintainer: Vasudev Kamath <kamathvasudev@gmail.com>
-Uploaders: Michael Stummvoll <michael@stummi.org>
-Build-Depends: debhelper (>= 9),
+Maintainer: Ilias Tsitsimpis <i.tsitsimpis@gmail.com>
+Build-Depends:
+ debhelper (>= 9),
  libx11-dev,
  libxinerama-dev,
- ncurses-bin (>= 5.7+20081213),
- dpkg-dev (>= 1.16.1.1),
+ dpkg-dev (>= 1.17),
  libxss-dev,
  libxft-dev,
+ pkg-config,
+ libpam0g-dev,
  libfreetype6-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://www.suckless.org
 Vcs-Git: git://anonscm.debian.org/collab-maint/suckless-tools.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/suckless-tools.git;a=summary
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/suckless-tools.git
 
 Package: suckless-tools
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, libcap2-bin
 Suggests: dwm, stterm, surf
 Provides: dmenu, lsw, lsx, slock, sprop, sselp, ssid, swarp, tabbed, wmname, xssstate
 Description: simple commands for minimalistic window managers
