=== debian/control ===
--- 
+++ 
@@ -11,10 +11,11 @@
  libxft-dev,
  pkg-config,
  libpam0g-dev,
+ libxrandr-dev,
  libfreetype6-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://www.suckless.org
-Vcs-Git: git://anonscm.debian.org/collab-maint/suckless-tools.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/suckless-tools.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/suckless-tools.git
 
 Package: suckless-tools
