=== debian/control ===
Source: suckless-tools
Section: x11
Priority: optional
Maintainer: Ilias Tsitsimpis <iliastsi@debian.org>
Build-Depends:
 debhelper (>= 10),
 libx11-dev,
 libxinerama-dev,
 dpkg-dev (>= 1.17),
 libxss-dev,
 libxft-dev,
 pkg-config,
 libpam0g-dev,
 libxrandr-dev,
 libfreetype6-dev
Standards-Version: 4.0.0
Homepage: http://www.suckless.org
Vcs-Git: https://anonscm.debian.org/git/collab-maint/suckless-tools.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/suckless-tools.git

Package: suckless-tools
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libcap2-bin
Suggests: dwm, stterm, surf
Provides: dmenu, lsw, slock, sprop, sselp, ssid, swarp, tabbed, wmname, xssstate
Description: simple commands for minimalistic window managers
 This package provides simple commands designed to be used with a minimalistic
 window manager like dwm but they can be useful in scripts regardless of the
 window manager used.
 .
  * dmenu: Dynamic menu is a generic menu for X.
  * lsw: Lists the titles of all running X windows to stdout, similar to ls(1).
  * slock: Simple X display locker that locks the X session.
  * sprop: Sets or gets X window properties.
  * sselp: Simple X selection printer that prints the X selection to stdout.
  * ssid: Simple setsid replacement.
  * swarp: Simple X warping tool to warp the mouse pointer to a given position.
  * tabbed: Simple generic tabbed fronted to xembed aware applications.
  * wmname: Prints/sets the window manager name property of the root
    window similar to how hostname(1) behaves.
  * xssstate: Retrieves the state of X screensaver.
